diff -crBPN --exclude=.wp-config.php.swp --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.2.pl ./wordpress-3.3.1/wp-admin/about.php ./wordpress-3.3.2/wp-admin/about.php
*** ./wordpress-3.3.1/wp-admin/about.php	2012-01-03 14:45:03.000000000 -0600
--- ./wordpress-3.3.2/wp-admin/about.php	2012-04-20 09:49:49.000000000 -0500
***************
*** 34,40 ****
  </h2>
  
  <div class="changelog point-releases">
! 	<h3><?php echo _n( 'Maintenance and Security Release', 'Maintenance and Security Releases', 1 ); ?></h3>
  	<p><?php printf( _n( '<strong>Version %1$s</strong> addressed a security issue and fixed %2$s bug.',
           '<strong>Version %1$s</strong> addressed a security issue and fixed %2$s bugs.', 15 ), '3.3.1', number_format_i18n( 15 ) ); ?>
  		<?php printf( __( 'For more information, see <a href="%s">the release notes</a>.' ), 'http://codex.wordpress.org/Version_3.3.1' ); ?>
--- 34,44 ----
  </h2>
  
  <div class="changelog point-releases">
! 	<h3><?php echo _n( 'Maintenance and Security Release', 'Maintenance and Security Releases', 2 ); ?></h3>
! 	<p><?php printf( _n( '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bug.',
!          '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bugs.', 12 ), '3.3.2', number_format_i18n( 12 ) ); ?>
! 		<?php printf( __( 'For more information, see <a href="%s">the release notes</a>.' ), 'http://codex.wordpress.org/Version_3.3.2' ); ?>
!  	</p>
  	<p><?php printf( _n( '<strong>Version %1$s</strong> addressed a security issue and fixed %2$s bug.',
           '<strong>Version %1$s</strong> addressed a security issue and fixed %2$s bugs.', 15 ), '3.3.1', number_format_i18n( 15 ) ); ?>
  		<?php printf( __( 'For more information, see <a href="%s">the release notes</a>.' ), 'http://codex.wordpress.org/Version_3.3.1' ); ?>
diff -crBPN --exclude=.wp-config.php.swp --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.2.pl ./wordpress-3.3.1/wp-admin/includes/update-core.php ./wordpress-3.3.2/wp-admin/includes/update-core.php
*** ./wordpress-3.3.1/wp-admin/includes/update-core.php	2012-01-03 11:01:50.000000000 -0600
--- ./wordpress-3.3.2/wp-admin/includes/update-core.php	2012-04-20 07:44:18.000000000 -0500
***************
*** 406,412 ****
  	$mysql_version  = $wpdb->db_version();
  	$required_php_version = '5.2.4';
  	$required_mysql_version = '5.0';
! 	$wp_version = '3.3.1';
  	$php_compat     = version_compare( $php_version, $required_php_version, '>=' );
  	if ( file_exists( WP_CONTENT_DIR . '/db.php' ) && empty( $wpdb->is_mysql ) )
  		$mysql_compat = true;
--- 406,412 ----
  	$mysql_version  = $wpdb->db_version();
  	$required_php_version = '5.2.4';
  	$required_mysql_version = '5.0';
! 	$wp_version = '3.3.2';
  	$php_compat     = version_compare( $php_version, $required_php_version, '>=' );
  	if ( file_exists( WP_CONTENT_DIR . '/db.php' ) && empty( $wpdb->is_mysql ) )
  		$mysql_compat = true;
diff -crBPN --exclude=.wp-config.php.swp --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.2.pl ./wordpress-3.3.1/wp-admin/plugins.php ./wordpress-3.3.2/wp-admin/plugins.php
*** ./wordpress-3.3.1/wp-admin/plugins.php	2011-11-30 22:51:35.000000000 -0600
--- ./wordpress-3.3.2/wp-admin/plugins.php	2012-04-19 01:39:24.000000000 -0500
***************
*** 154,159 ****
--- 154,163 ----
  				wp_die(__('You do not have sufficient permissions to deactivate plugins for this site.'));
  
  			check_admin_referer('deactivate-plugin_' . $plugin);
+ 			if ( ! is_network_admin() && is_plugin_active_for_network( $plugin ) ) {
+ 				wp_redirect( self_admin_url("plugins.php?plugin_status=$status&paged=$page&s=$s") );
+ 				exit;
+ 			}
  			deactivate_plugins($plugin);
  			update_option('recently_activated', array($plugin => time()) + (array)get_option('recently_activated'));
  			if ( headers_sent() )
***************
*** 169,175 ****
  			check_admin_referer('bulk-plugins');
  
  			$plugins = isset( $_POST['checked'] ) ? (array) $_POST['checked'] : array();
! 			$plugins = array_filter($plugins, 'is_plugin_active'); //Do not deactivate plugins which are already deactivated.
  			if ( empty($plugins) ) {
  				wp_redirect( self_admin_url("plugins.php?plugin_status=$status&paged=$page&s=$s") );
  				exit;
--- 173,185 ----
  			check_admin_referer('bulk-plugins');
  
  			$plugins = isset( $_POST['checked'] ) ? (array) $_POST['checked'] : array();
! 			// Do not deactivate plugins which are already deactivated.
! 			if ( is_network_admin() ) {
! 				$plugins = array_filter( $plugins, 'is_plugin_active_for_network' );
! 			} else {
! 				$plugins = array_filter( $plugins, 'is_plugin_active' );
! 				$plugins = array_diff( $plugins, array_filter( $plugins, 'is_plugin_active_for_network' ) );
! 			}
  			if ( empty($plugins) ) {
  				wp_redirect( self_admin_url("plugins.php?plugin_status=$status&paged=$page&s=$s") );
  				exit;
diff -crBPN --exclude=.wp-config.php.swp --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.2.pl ./wordpress-3.3.1/wp-admin/press-this.php ./wordpress-3.3.2/wp-admin/press-this.php
*** ./wordpress-3.3.1/wp-admin/press-this.php	2012-01-03 14:44:01.000000000 -0600
--- ./wordpress-3.3.2/wp-admin/press-this.php	2012-04-19 16:58:20.000000000 -0500
***************
*** 390,413 ****
  				function setup_photo_actions() {
  					jQuery('.close').click(function() {
  						jQuery('#extra-fields').hide();
- 						jQuery('body').append( jQuery('#photo-add-url-div') );
  						jQuery('#extra-fields').html('');
  					});
  					jQuery('.refresh').click(function() {
  						photostorage = false;
- 						jQuery('body').append( jQuery('#photo-add-url-div') );
  						show('photo');
  					});
  					jQuery('#photo-add-url').click(function(){
! 						var container = jQuery('#img_container');
! 
! 						if ( container.children('#photo-add-url-div:visible').length ) {
! 							container.children('a').show();
! 							jQuery('#photo-add-url-div').hide();
! 						} else {
! 							container.children('a').hide();
! 							container.append( jQuery('#photo-add-url-div').show() );
! 						}
  					});
  					jQuery('#waiting').hide();
  					jQuery('#extra-fields').show();
--- 390,404 ----
  				function setup_photo_actions() {
  					jQuery('.close').click(function() {
  						jQuery('#extra-fields').hide();
  						jQuery('#extra-fields').html('');
  					});
  					jQuery('.refresh').click(function() {
  						photostorage = false;
  						show('photo');
  					});
  					jQuery('#photo-add-url').click(function(){
! 						var form = jQuery('#photo-add-url-div').clone();
! 						jQuery('#img_container').empty().append( form.show() );
  					});
  					jQuery('#waiting').hide();
  					jQuery('#extra-fields').show();
diff -crBPN --exclude=.wp-config.php.swp --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.2.pl ./wordpress-3.3.1/wp-admin/setup-config.php ./wordpress-3.3.2/wp-admin/setup-config.php
*** ./wordpress-3.3.1/wp-admin/setup-config.php	2011-11-15 09:47:07.000000000 -0600
--- ./wordpress-3.3.2/wp-admin/setup-config.php	2012-04-16 17:02:54.000000000 -0500
***************
*** 44,53 ****
--- 44,56 ----
  require_once(ABSPATH . WPINC . '/load.php');
  require_once(ABSPATH . WPINC . '/version.php');
  wp_check_php_mysql_versions();
+ wp_unregister_GLOBALS();
  
  require_once(ABSPATH . WPINC . '/compat.php');
  require_once(ABSPATH . WPINC . '/functions.php');
  require_once(ABSPATH . WPINC . '/class-wp-error.php');
+ require_once(ABSPATH . WPINC . '/formatting.php');
+ wp_magic_quotes();
  
  if (!file_exists(ABSPATH . 'wp-config-sample.php'))
  	wp_die('Sorry, I need a wp-config-sample.php file to work from. Please re-upload this file from your WordPress installation.');
diff -crBPN --exclude=.wp-config.php.swp --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.2.pl ./wordpress-3.3.1/wp-comments-post.php ./wordpress-3.3.2/wp-comments-post.php
*** ./wordpress-3.3.1/wp-comments-post.php	2011-09-30 12:18:35.000000000 -0500
--- ./wordpress-3.3.2/wp-comments-post.php	2012-04-16 17:12:25.000000000 -0500
***************
*** 100,105 ****
  $location = empty($_POST['redirect_to']) ? get_comment_link($comment_id) : $_POST['redirect_to'] . '#comment-' . $comment_id;
  $location = apply_filters('comment_post_redirect', $location, $comment);
  
! wp_redirect($location);
  exit;
  ?>
--- 100,105 ----
  $location = empty($_POST['redirect_to']) ? get_comment_link($comment_id) : $_POST['redirect_to'] . '#comment-' . $comment_id;
  $location = apply_filters('comment_post_redirect', $location, $comment);
  
! wp_safe_redirect( $location );
  exit;
  ?>
diff -crBPN --exclude=.wp-config.php.swp --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.2.pl ./wordpress-3.3.1/wp-includes/formatting.php ./wordpress-3.3.2/wp-includes/formatting.php
*** ./wordpress-3.3.1/wp-includes/formatting.php	2011-11-06 12:31:54.000000000 -0600
--- ./wordpress-3.3.2/wp-includes/formatting.php	2012-04-17 15:02:49.000000000 -0500
***************
*** 1350,1358 ****
   */
  function _make_url_clickable_cb($matches) {
  	$url = $matches[2];
- 	$suffix = '';
  
! 	/** Include parentheses in the URL only if paired **/
  	while ( substr_count( $url, '(' ) < substr_count( $url, ')' ) ) {
  		$suffix = strrchr( $url, ')' ) . $suffix;
  		$url = substr( $url, 0, strrpos( $url, ')' ) );
--- 1350,1366 ----
   */
  function _make_url_clickable_cb($matches) {
  	$url = $matches[2];
  
! 	if ( ')' == $matches[3] && strpos( $url, '(' ) ) {
! 		// If the trailing character is a closing parethesis, and the URL has an opening parenthesis in it, add the closing parenthesis to the URL.
! 		// Then we can let the parenthesis balancer do its thing below.
! 		$url .= $matches[3];
! 		$suffix = '';
! 	} else {
! 		$suffix = $matches[3];
! 	}
! 
! 	// Include parentheses in the URL only if paired
  	while ( substr_count( $url, '(' ) < substr_count( $url, ')' ) ) {
  		$suffix = strrchr( $url, ')' ) . $suffix;
  		$url = substr( $url, 0, strrpos( $url, ')' ) );
***************
*** 1418,1440 ****
   *
   * @since 0.71
   *
!  * @param string $ret Content to convert URIs.
   * @return string Content with converted URIs.
   */
! function make_clickable($ret) {
! 	$ret = ' ' . $ret;
! 	// in testing, using arrays here was found to be faster
! 	$save = @ini_set('pcre.recursion_limit', 10000);
! 	$retval = preg_replace_callback('#(?<!=[\'"])(?<=[*\')+.,;:!&$\s>])(\()?([\w]+?://(?:[\w\\x80-\\xff\#%~/?@\[\]-]{1,2000}|[\'*(+.,;:!=&$](?![\b\)]|(\))?([\s]|$))|(?(1)\)(?![\s<.,;:]|$)|\)))+)#is', '_make_url_clickable_cb', $ret);
! 	if (null !== $retval )
! 		$ret = $retval;
! 	@ini_set('pcre.recursion_limit', $save);
! 	$ret = preg_replace_callback('#([\s>])((www|ftp)\.[\w\\x80-\\xff\#$%&~/.\-;:=,?@\[\]+]+)#is', '_make_web_ftp_clickable_cb', $ret);
! 	$ret = preg_replace_callback('#([\s>])([.0-9a-z_+-]+)@(([0-9a-z-]+\.)+[0-9a-z]{2,})#i', '_make_email_clickable_cb', $ret);
! 	// this one is not in an array because we need it to run last, for cleanup of accidental links within links
! 	$ret = preg_replace("#(<a( [^>]+?>|>))<a [^>]+?>([^>]+?)</a></a>#i", "$1$3</a>", $ret);
! 	$ret = trim($ret);
! 	return $ret;
  }
  
  /**
--- 1426,1542 ----
   *
   * @since 0.71
   *
!  * @param string $text Content to convert URIs.
   * @return string Content with converted URIs.
   */
! function make_clickable( $text ) {
! 	$r = '';
! 	$textarr = preg_split( '/(<[^<>]+>)/', $text, -1, PREG_SPLIT_DELIM_CAPTURE ); // split out HTML tags
! 	foreach ( $textarr as $piece ) {
! 		if ( empty( $piece ) || ( $piece[0] == '<' && ! preg_match('|^<\s*[\w]{1,20}+://|', $piece) ) ) {
! 			$r .= $piece;
! 			continue;
! 		}
! 
! 		// Long strings might contain expensive edge cases ...
! 		if ( 10000 < strlen( $piece ) ) {
! 			// ... break it up
! 			foreach ( _split_str_by_whitespace( $piece, 2100 ) as $chunk ) { // 2100: Extra room for scheme and leading and trailing paretheses
! 				if ( 2101 < strlen( $chunk ) ) {
! 					$r .= $chunk; // Too big, no whitespace: bail.
! 				} else {
! 					$r .= make_clickable( $chunk );
! 				}
! 			}
! 		} else {
! 			$ret = " $piece "; // Pad with whitespace to simplify the regexes
! 
! 			$url_clickable = '~
! 				([\\s(<.,;:!?])                                        # 1: Leading whitespace, or punctuation
! 				(                                                      # 2: URL
! 					[\\w]{1,20}+://                                # Scheme and hier-part prefix
! 					(?=\S{1,2000}\s)                               # Limit to URLs less than about 2000 characters long
! 					[\\w\\x80-\\xff#%\\~/@\\[\\]*(+=&$-]*+         # Non-punctuation URL character
! 					(?:                                            # Unroll the Loop: Only allow puctuation URL character if followed by a non-punctuation URL character
! 						[\'.,;:!?)]                            # Punctuation URL character
! 						[\\w\\x80-\\xff#%\\~/@\\[\\]*(+=&$-]++ # Non-punctuation URL character
! 					)*
! 				)
! 				(\)?)                                                  # 3: Trailing closing parenthesis (for parethesis balancing post processing)
! 			~xS'; // The regex is a non-anchored pattern and does not have a single fixed starting character.
! 			      // Tell PCRE to spend more time optimizing since, when used on a page load, it will probably be used several times.
! 
! 			$ret = preg_replace_callback( $url_clickable, '_make_url_clickable_cb', $ret );
! 
! 			$ret = preg_replace_callback( '#([\s>])((www|ftp)\.[\w\\x80-\\xff\#$%&~/.\-;:=,?@\[\]+]+)#is', '_make_web_ftp_clickable_cb', $ret );
! 			$ret = preg_replace_callback( '#([\s>])([.0-9a-z_+-]+)@(([0-9a-z-]+\.)+[0-9a-z]{2,})#i', '_make_email_clickable_cb', $ret );
! 
! 			$ret = substr( $ret, 1, -1 ); // Remove our whitespace padding.
! 			$r .= $ret;
! 		}
! 	}
! 
! 	// Cleanup of accidental links within links
! 	$r = preg_replace( '#(<a( [^>]+?>|>))<a [^>]+?>([^>]+?)</a></a>#i', "$1$3</a>", $r );
! 	return $r;
! }
! 
! /**
!  * Breaks a string into chunks by splitting at whitespace characters.
!  * The length of each returned chunk is as close to the specified length goal as possible,
!  * with the caveat that each chunk includes its trailing delimiter.
!  * Chunks longer than the goal are guaranteed to not have any inner whitespace.
!  *
!  * Joining the returned chunks with empty delimiters reconstructs the input string losslessly.
!  *
!  * Input string must have no null characters (or eventual transformations on output chunks must not care about null characters)
!  *
!  * <code>
!  * _split_str_by_whitespace( "1234 67890 1234 67890a cd 1234   890 123456789 1234567890a    45678   1 3 5 7 90 ", 10 ) ==
!  * array (
!  *   0 => '1234 67890 ',  // 11 characters: Perfect split
!  *   1 => '1234 ',        //  5 characters: '1234 67890a' was too long
!  *   2 => '67890a cd ',   // 10 characters: '67890a cd 1234' was too long
!  *   3 => '1234   890 ',  // 11 characters: Perfect split
!  *   4 => '123456789 ',   // 10 characters: '123456789 1234567890a' was too long
!  *   5 => '1234567890a ', // 12 characters: Too long, but no inner whitespace on which to split
!  *   6 => '   45678   ',  // 11 characters: Perfect split
!  *   7 => '1 3 5 7 9',    //  9 characters: End of $string
!  * );
!  * </code>
!  *
!  * @since 3.4.0
!  * @access private
!  *
!  * @param string $string The string to split
!  * @param    int $goal   The desired chunk length.
!  * @return array Numeric array of chunks.
!  */
! function _split_str_by_whitespace( $string, $goal ) {
! 	$chunks = array();
! 
! 	$string_nullspace = strtr( $string, "\r\n\t\v\f ", "\000\000\000\000\000\000" );
! 
! 	while ( $goal < strlen( $string_nullspace ) ) {
! 		$pos = strrpos( substr( $string_nullspace, 0, $goal + 1 ), "\000" );
! 
! 		if ( false === $pos ) {
! 			$pos = strpos( $string_nullspace, "\000", $goal + 1 );
! 			if ( false === $pos ) {
! 				break;
! 			}
! 		}
! 
! 		$chunks[] = substr( $string, 0, $pos + 1 );
! 		$string = substr( $string, $pos + 1 );
! 		$string_nullspace = substr( $string_nullspace, $pos + 1 );
! 	}
! 
! 	if ( $string ) {
! 		$chunks[] = $string;
! 	}
! 
! 	return $chunks;
  }
  
  /**
diff -crBPN --exclude=.wp-config.php.swp --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.2.pl ./wordpress-3.3.1/wp-includes/js/plupload/handlers.dev.js ./wordpress-3.3.2/wp-includes/js/plupload/handlers.dev.js
*** ./wordpress-3.3.1/wp-includes/js/plupload/handlers.dev.js	2011-11-20 13:16:35.000000000 -0600
--- ./wordpress-3.3.2/wp-includes/js/plupload/handlers.dev.js	2012-04-16 17:46:36.000000000 -0500
***************
*** 44,54 ****
  
  	if ( max > hundredmb && file.size > hundredmb ) {
  		setTimeout(function(){
! 			if ( file.status == 2 && file.loaded == 0 ) { // not uploading
! 				wpFileError(file, pluploadL10n.big_upload_failed.replace('%1$s', '<a class="uploader-html" href="#">').replace('%2$s', '</a>'));
  
! 				if ( up.current && up.current.file.id == file.id && up.current.xhr.abort )
! 					up.current.xhr.abort();
  			}
  		}, 10000); // wait for 10 sec. for the file to start uploading
  	}
--- 44,56 ----
  
  	if ( max > hundredmb && file.size > hundredmb ) {
  		setTimeout(function(){
! 			var done;
  
! 			if ( file.status < 3 && file.loaded == 0 ) { // not uploading
! 				wpFileError(file, pluploadL10n.big_upload_failed.replace('%1$s', '<a class="uploader-html" href="#">').replace('%2$s', '</a>'));
! 				up.stop(); // stops the whole queue
! 				up.removeFile(file);
! 				up.start(); // restart the queue
  			}
  		}, 10000); // wait for 10 sec. for the file to start uploading
  	}
diff -crBPN --exclude=.wp-config.php.swp --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.2.pl ./wordpress-3.3.1/wp-includes/kses.php ./wordpress-3.3.2/wp-includes/kses.php
*** ./wordpress-3.3.1/wp-includes/kses.php	2011-10-01 10:54:52.000000000 -0500
--- ./wordpress-3.3.2/wp-includes/kses.php	2012-04-19 16:52:24.000000000 -0500
***************
*** 927,938 ****
   */
  function wp_kses_bad_protocol($string, $allowed_protocols) {
  	$string = wp_kses_no_null($string);
! 	$string2 = $string.'a';
  
! 	while ($string != $string2) {
! 		$string2 = $string;
  		$string = wp_kses_bad_protocol_once($string, $allowed_protocols);
! 	} # while
  
  	return $string;
  }
--- 927,941 ----
   */
  function wp_kses_bad_protocol($string, $allowed_protocols) {
  	$string = wp_kses_no_null($string);
! 	$iterations = 0;
  
! 	do {
! 		$original_string = $string;
  		$string = wp_kses_bad_protocol_once($string, $allowed_protocols);
! 	} while ( $original_string != $string && ++$iterations < 6 );
! 
! 	if ( $original_string != $string )
! 		return '';
  
  	return $string;
  }
***************
*** 1031,1040 ****
   * @param string $allowed_protocols Allowed protocols
   * @return string Sanitized content
   */
! function wp_kses_bad_protocol_once($string, $allowed_protocols) {
  	$string2 = preg_split( '/:|&#0*58;|&#x0*3a;/i', $string, 2 );
! 	if ( isset($string2[1]) && ! preg_match('%/\?%', $string2[0]) )
! 		$string = wp_kses_bad_protocol_once2( $string2[0], $allowed_protocols ) . trim( $string2[1] );
  
  	return $string;
  }
--- 1034,1053 ----
   * @param string $allowed_protocols Allowed protocols
   * @return string Sanitized content
   */
! function wp_kses_bad_protocol_once($string, $allowed_protocols, $count = 1 ) {
  	$string2 = preg_split( '/:|&#0*58;|&#x0*3a;/i', $string, 2 );
! 	if ( isset($string2[1]) && ! preg_match('%/\?%', $string2[0]) ) {
! 		$string = trim( $string2[1] );
! 		$protocol = wp_kses_bad_protocol_once2( $string2[0], $allowed_protocols );
! 		if ( 'feed:' == $protocol ) {
! 			if ( $count > 2 )
! 				return '';
! 			$string = wp_kses_bad_protocol_once( $string, $allowed_protocols, ++$count );
! 			if ( empty( $string ) )
! 				return $string;
! 		}
! 		$string = $protocol . $string;
! 	}
  
  	return $string;
  }
diff -crBPN --exclude=.wp-config.php.swp --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.2.pl ./wordpress-3.3.1/wp-includes/ms-functions.php ./wordpress-3.3.2/wp-includes/ms-functions.php
*** ./wordpress-3.3.1/wp-includes/ms-functions.php	2011-11-30 18:36:19.000000000 -0600
--- ./wordpress-3.3.2/wp-includes/ms-functions.php	2012-04-19 18:00:36.000000000 -0500
***************
*** 1896,1902 ****
   */
  function welcome_user_msg_filter( $text ) {
  	if ( !$text ) {
! 		return __( 'Dear User,
  
  Your new account is set up.
  
--- 1896,1903 ----
   */
  function welcome_user_msg_filter( $text ) {
  	if ( !$text ) {
! 		remove_filter( 'site_option_welcome_user_email', 'welcome_user_msg_filter' );
! 		$text = __( 'Dear User,
  
  Your new account is set up.
  
***************
*** 1908,1913 ****
--- 1909,1915 ----
  Thanks!
  
  --The Team @ SITE_NAME' );
+ 		update_site_option( 'welcome_user_email', $text );
  	}
  	return $text;
  }
diff -crBPN --exclude=.wp-config.php.swp --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.2.pl ./wordpress-3.3.1/wp-includes/script-loader.php ./wordpress-3.3.2/wp-includes/script-loader.php
*** ./wordpress-3.3.1/wp-includes/script-loader.php	2012-01-02 15:51:35.000000000 -0600
--- ./wordpress-3.3.2/wp-includes/script-loader.php	2012-04-17 18:13:20.000000000 -0500
***************
*** 179,185 ****
  
  	$scripts->add( 'jcrop', "/wp-includes/js/jcrop/jquery.Jcrop$suffix.js", array('jquery'), '0.9.8-20110113');
  
! 	$scripts->add( 'swfobject', "/wp-includes/js/swfobject.js", false, '2.2');
  
  	// common bits for both uploaders
  	$max_upload_size = ( (int) ( $max_up = @ini_get('upload_max_filesize') ) < (int) ( $max_post = @ini_get('post_max_size') ) ) ? $max_up : $max_post;
--- 179,185 ----
  
  	$scripts->add( 'jcrop', "/wp-includes/js/jcrop/jquery.Jcrop$suffix.js", array('jquery'), '0.9.8-20110113');
  
! 	$scripts->add( 'swfobject', "/wp-includes/js/swfobject.js", false, '2.2-20120417');
  
  	// common bits for both uploaders
  	$max_upload_size = ( (int) ( $max_up = @ini_get('upload_max_filesize') ) < (int) ( $max_post = @ini_get('post_max_size') ) ) ? $max_up : $max_post;
diff -crBPN --exclude=.wp-config.php.swp --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.2.pl ./wordpress-3.3.1/wp-includes/user.php ./wordpress-3.3.2/wp-includes/user.php
*** ./wordpress-3.3.1/wp-includes/user.php	2012-01-02 15:31:27.000000000 -0600
--- ./wordpress-3.3.2/wp-includes/user.php	2012-03-02 15:02:22.000000000 -0600
***************
*** 931,937 ****
  	else
  		$user = new WP_User($for_user_id);
  
! 	$userdata   = $user;
  	$user_ID    = (int) $user->ID;
  	$user_level = (int) isset($user->user_level) ? $user->user_level : 0;
  
--- 931,937 ----
  	else
  		$user = new WP_User($for_user_id);
  
! 	$userdata   = null;
  	$user_ID    = (int) $user->ID;
  	$user_level = (int) isset($user->user_level) ? $user->user_level : 0;
  
***************
*** 940,945 ****
--- 940,946 ----
  		return;
  	}
  
+ 	$userdata	= $user;
  	$user_login	= $user->user_login;
  	$user_email	= $user->user_email;
  	$user_url	= $user->user_url;
diff -crBPN --exclude=.wp-config.php.swp --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.2.pl ./wordpress-3.3.1/wp-includes/version.php ./wordpress-3.3.2/wp-includes/version.php
*** ./wordpress-3.3.1/wp-includes/version.php	2012-01-03 14:35:03.000000000 -0600
--- ./wordpress-3.3.2/wp-includes/version.php	2012-04-20 09:49:49.000000000 -0500
***************
*** 4,10 ****
   *
   * @global string $wp_version
   */
! $wp_version = '3.3.1';
  
  /**
   * Holds the WordPress DB revision, increments when changes are made to the WordPress DB schema.
--- 4,10 ----
   *
   * @global string $wp_version
   */
! $wp_version = '3.3.2';
  
  /**
   * Holds the WordPress DB revision, increments when changes are made to the WordPress DB schema.
diff -crBPN --exclude=.wp-config.php.swp --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.2.pl ./wordpress-3.3.1/wp-includes/wp-db.php ./wordpress-3.3.2/wp-includes/wp-db.php
*** ./wordpress-3.3.1/wp-includes/wp-db.php	2011-11-14 18:18:41.000000000 -0600
--- ./wordpress-3.3.2/wp-includes/wp-db.php	2012-04-16 17:03:46.000000000 -0500
***************
*** 752,758 ****
  <li>Does the user <code>%2$s</code> have permission to use the <code>%1$s</code> database?</li>
  <li>On some systems the name of your database is prefixed with your username, so it would be like <code>username_%1$s</code>. Could that be the problem?</li>
  </ul>
! <p>If you don\'t know how to set up a database you should <strong>contact your host</strong>. If all else fails you may find help at the <a href="http://wordpress.org/support/">WordPress Support Forums</a>.</p>'/*/WP_I18N_DB_SELECT_DB*/, $db, $this->dbuser ), 'db_select_fail' );
  			return;
  		}
  	}
--- 752,758 ----
  <li>Does the user <code>%2$s</code> have permission to use the <code>%1$s</code> database?</li>
  <li>On some systems the name of your database is prefixed with your username, so it would be like <code>username_%1$s</code>. Could that be the problem?</li>
  </ul>
! <p>If you don\'t know how to set up a database you should <strong>contact your host</strong>. If all else fails you may find help at the <a href="http://wordpress.org/support/">WordPress Support Forums</a>.</p>'/*/WP_I18N_DB_SELECT_DB*/, htmlspecialchars( $db, ENT_QUOTES ), htmlspecialchars( $this->dbuser, ENT_QUOTES ) ), 'db_select_fail' );
  			return;
  		}
  	}
***************
*** 1046,1052 ****
  	<li>Are you sure that the database server is running?</li>
  </ul>
  <p>If you're unsure what these terms mean you should probably contact your host. If you still need help you can always visit the <a href='http://wordpress.org/support/'>WordPress Support Forums</a>.</p>
! "/*/WP_I18N_DB_CONN_ERROR*/, $this->dbhost ), 'db_connect_fail' );
  
  			return;
  		}
--- 1046,1052 ----
  	<li>Are you sure that the database server is running?</li>
  </ul>
  <p>If you're unsure what these terms mean you should probably contact your host. If you still need help you can always visit the <a href='http://wordpress.org/support/'>WordPress Support Forums</a>.</p>
! "/*/WP_I18N_DB_CONN_ERROR*/, htmlspecialchars( $this->dbhost, ENT_QUOTES ) ), 'db_connect_fail' );
  
  			return;
  		}
